Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.aocat.psis.client.utils
Class CertificateSerialConverter

    java.lang.Object
      net.aocat.psis.client.utils.CertificateSerialConverter

    public class CertificateSerialConverter

extends java.lang.Object

Class for converting the certificate's serial (due to the size of the serial, it works with BigIntegers):
- from decimal to hexadecimal
- from hexadecimal to decimal.

Author:
  aalcaide

Constructor Summary
`CertificateSerialConverter()`

Method Summary
`static java.lang.String` | `convertDecSerial2Hex(java.lang.String serial)` Converts a decimal serial to its hexadecimal representation.
`static java.lang.String` | `convertHexSerial2Dec(java.lang.String serial)` Converts a hexadecimal serial to its decimal representation.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificateSerialConverter

    public CertificateSerialConverter()

Method Detail

### convertDecSerial2Hex

    public static java.lang.String convertDecSerial2Hex(java.lang.String serial)

  Converts a decimal serial to its hexadecimal representation.

  Parameters:
    `serial` - decimal serial to convert
  Returns:
    hexadecimal representation of the serial

### convertHexSerial2Dec

    public static java.lang.String convertHexSerial2Dec(java.lang.String serial)

  Converts a hexadecimal serial to its decimal representation.

  Parameters:
    `serial` - hexadecimal serial to convert
  Returns:
    decimal representation of the serial

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Parameters:
    `args` -
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD